VS 打包错误:要在“系统必备”对话框中启用“从与我的应用程序相同的位置下载系统必备组件”

错误内容:

ERROR: 要在“系统必备”对话框中启用“从与我的应用程序相同的位置下载系统必备组件”,
必须将“Microsoft .NET Framework 4.5.2 (x86 和 x64)”项的文件
“DotNetFX452\NDP452-KB2901907-x86-x64-AllOS-ENU.exe”下载到本地计算机。
有关详细信息,请参见 http://go.microsoft.com/fwlink/?LinkId=616018。

ERROR: 要在“系统必备”对话框中启用“从与我的应用程序相同的位置下载系统必备组件”,
必须将“Microsoft .NET Framework 4.5.2 (x86 和 x64)”项的文件
“DotNetFX452\NDP452-KB2901907-x86-x64-AllOS-CHS.exe”下载到本地计算机。
有关详细信息,请参见 http://go.microsoft.com/fwlink/?LinkId=616018。

解决方案:

  1. 分别下载.net包和.net语言包:
    根据提示,我需要4.5.2
  2. 将.net包和.net语言包分别拷贝到以下路径:
    • C:\Program Files (x86)\Microsoft Visual Studio 14.0\SDK\Bootstrapper\Packages\DotNetFX452
    • C:\Program Files (x86)\Microsoft Visual Studio 14.0\SDK\Bootstrapper\Packages\DotNetFX452\zh-Hans

备注:

  • 其他.net版本以此类推。